#!/sbin/sh
#
# WARNING: This script tunes the TCP/UDP high and low
# water marks for Solaris 2.3 only.
# This script generates messages on the console.  If you
# don't like them, just comment them out.

#
# Tuning TCP (bytes)
#

echo "TCP xmit water-marks: High=32Kbytes Low=24Kbytes"
/usr/sbin/ndd -set /dev/tcp tcp_xmit_hiwat 32768
/usr/sbin/ndd -set /dev/tcp tcp_xmit_lowat 24576

echo "TCP recv water-marks: High = 32Kbytes "
/usr/sbin/ndd -set /dev/tcp tcp_recv_hiwat 32768

#
# Tuning UDP (bytes)
#

echo "UDP xmit water-marks: High=32Kbytes Low=24Kbytes " 
/usr/sbin/ndd -set /dev/udp udp_xmit_hiwat 32768
/usr/sbin/ndd -set /dev/udp udp_xmit_lowat 24576

echo "UDP recv water-marks: High=32Kbytes "
/usr/sbin/ndd -set /dev/udp udp_recv_hiwat 32768

